package ink.wgink.login.wechat.pojo.bos.miniapp;

/**
 * @ClassName: MiniappPhoneBO
 * @Description: 小程序手机号
 * @Author: wanggeng
 * @Date: 2021/8/3 10:46 上午
 * @Version: 1.0
 */
public class MiniappPhoneDataBO {

    private String phoneNumber;
    private String purePhoneNumber;
    private String countryCode;
    private WaterMark watermark;

    public String getPhoneNumber() {
        return phoneNumber == null ? "" : phoneNumber.trim();
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPurePhoneNumber() {
        return purePhoneNumber == null ? "" : purePhoneNumber.trim();
    }

    public void setPurePhoneNumber(String purePhoneNumber) {
        this.purePhoneNumber = purePhoneNumber;
    }

    public String getCountryCode() {
        return countryCode == null ? "" : countryCode.trim();
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public WaterMark getWatermark() {
        return watermark;
    }

    public void setWatermark(WaterMark watermark) {
        this.watermark = watermark;
    }

    public static class WaterMark {
        private String appid;
        private Long timestamp;

        public String getAppid() {
            return appid == null ? "" : appid.trim();
        }

        public void setAppid(String appid) {
            this.appid = appid;
        }

        public Long getTimestamp() {
            return timestamp;
        }

        public void setTimestamp(Long timestamp) {
            this.timestamp = timestamp;
        }

        @Override
        public String toString() {
            final StringBuilder sb = new StringBuilder("{");
            sb.append("\"appid\":\"")
                    .append(appid).append('\"');
            sb.append(",\"timestamp\":")
                    .append(timestamp);
            sb.append('}');
            return sb.toString();
        }
    }

}
